UbixOS V2 2.0

Public Member Functions
arp_hdr Struct Reference
Collaboration diagram for arp_hdr:

## Public Member Functions
| PACK_STRUCT_FIELD (struct eth_addr dhwaddr)
| PACK_STRUCT_FIELD (struct eth_addr shwaddr)
| PACK_STRUCT_FIELD (struct eth_hdr ethhdr)
| PACK_STRUCT_FIELD (struct ip_addr dipaddr)
| PACK_STRUCT_FIELD (struct ip_addr sipaddr)
| PACK_STRUCT_FIELD (uInt16 _hwlen_protolen)
| PACK_STRUCT_FIELD (uInt16 hwtype)
| PACK_STRUCT_FIELD (uInt16 opcode)
| PACK_STRUCT_FIELD (uInt16 proto)

## Detailed Description

Definition at line 55 of file arp.c.

## Member Function Documentation

## ◆ PACK_STRUCT_FIELD() [1/9]

arp_hdr::PACK_STRUCT_FIELD | ( | struct eth_addr | dhwaddr | ) |

## ◆ PACK_STRUCT_FIELD() [2/9]

arp_hdr::PACK_STRUCT_FIELD | ( | struct eth_addr | shwaddr | ) |

## ◆ PACK_STRUCT_FIELD() [3/9]

arp_hdr::PACK_STRUCT_FIELD | ( | struct eth_hdr | ethhdr | ) |

## ◆ PACK_STRUCT_FIELD() [4/9]

arp_hdr::PACK_STRUCT_FIELD | ( | struct ip_addr | dipaddr | ) |

## ◆ PACK_STRUCT_FIELD() [5/9]

arp_hdr::PACK_STRUCT_FIELD | ( | struct ip_addr | sipaddr | ) |

## ◆ PACK_STRUCT_FIELD() [6/9]

arp_hdr::PACK_STRUCT_FIELD | ( | uInt16 | _hwlen_protolen | ) |

## ◆ PACK_STRUCT_FIELD() [7/9]

arp_hdr::PACK_STRUCT_FIELD | ( | uInt16 | hwtype | ) |

## ◆ PACK_STRUCT_FIELD() [8/9]

arp_hdr::PACK_STRUCT_FIELD | ( | uInt16 | opcode | ) |

## ◆ PACK_STRUCT_FIELD() [9/9]

arp_hdr::PACK_STRUCT_FIELD | ( | uInt16 | proto | ) |

The documentation for this struct was generated from the following file:

- C:/Dev/git/UbixOS/sys/net/netif/arp.c